Bug 459274 - Split python bindings into a sub-RPM
Summary: Split python bindings into a sub-RPM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libsemanage
Version: 10
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-15 16:03 UTC by Daniel Berrangé
Modified: 2009-11-18 13:08 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-18 13:08:15 UTC
Type: ---


Attachments (Terms of Use)

Description Daniel Berrangé 2008-08-15 16:03:02 UTC
Description of problem:
We want to make use of libsemanage.so in libvirt to update SELinux policy for new file contexts when running virtual machines. We also have a requirement to minimise the disk footprint from  RPMs libvirt depends on.

The current libsemanage RPM includes both the C library, and the python binding. This means even though we just want to use  the C library, we end up pulling in the entire python runtime. This means we cannot keep our disk footprint small enough to satisfy our users like oVirt

This means we need to split the python bindings out into a separate sub-RPM to allow fine-grained insallation of just the C library

Version-Release number of selected component (if applicable):
libsemanage-2.0.25-3.fc9.i386

How reproducible:
N/A

Steps to Reproduce:
1. N/A
2.
3.
  
Actual results:
Installing libsemanage pulls in python runtime

Expected results:
libsemanage RPM does not depend on python

Additional info:

Comment 1 Daniel Walsh 2008-08-15 16:58:59 UTC
Fixed in libsemanage-2.0.27-2.fc10

Comment 2 Bug Zapper 2008-11-26 02:47:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-11-18 08:16:18 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.